{ config, pkgs, lib, ... }:

{
  services.uhub = {
    enable = true;
    enableTLS = false;
    hubConfig = ''
      hub_name=c3d2
      hub_description=<<</>>
    '';
    plugins.history.enable = true;
    plugins.welcome = {
      enable = true;
      motd = builtins.readFile ../../../../lib/motd;
    };
  };

  networking.firewall.allowedTCPPorts = [ config.services.uhub.port ];
}
